<template lang="pug">
.flex.flex-col.min-h-screen
  Html(:lang="head.htmlAttrs.lang", :dir="head.htmlAttrs.dir")
    Head
      Title {{ title }}
        template(v-for="link in head.link", :key="link.id")
          Link(
            :id="link.id",
            :rel="link.rel",
            :href="link.href",
            :hreflang="link.hreflang"
          )
        template(v-for="meta in head.meta", :key="meta.id")
          Meta(
            :id="meta.id",
            :property="meta.property",
            :content="meta.content"
          )
    Body
      app-navbar
      .flex-1
        slot
      app-footer
</template>

<script setup lang="ts">
const route = useRoute()
const { t } = useI18n()
const head = useLocaleHead({
  addDirAttribute: true,
  identifierAttribute: 'id',
  addSeoAttributes: true,
})
const title = computed(() =>
  t('layouts.title', {
    title: t((route.meta.title as string) ?? 'layouts.title'),
  })
)
</script>
